Skip to main content
GET
/
v1
/
credentials
/
{id}
Read a credential
curl --request GET \
  --url https://sta.sandbox.lerian.net/v1/credentials/{id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://sta.sandbox.lerian.net/v1/credentials/{id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://sta.sandbox.lerian.net/v1/credentials/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "asOf": "<string>",
  "createdAt": "<string>",
  "daysRemaining": 123,
  "description": "<string>",
  "expiryStatus": "<string>",
  "id": "<string>",
  "institutionCode": "<string>",
  "lastExpiryCheckedAt": "<string>",
  "lastRotatedAt": "<string>",
  "lastTestResult": "<string>",
  "lastTestedAt": "<string>",
  "operatorId": "<string>",
  "passwordExpiresAt": "<string>",
  "status": "<string>",
  "updatedAt": "<string>"
}
{}
{}
{}
{}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Path Parameters

id
string
required

Credential UUID

Response

OK

asOf
string
createdAt
string
daysRemaining
integer
description
string
expiryStatus
string
id
string
institutionCode
string
lastExpiryCheckedAt
string
lastRotatedAt
string
lastTestResult
string
lastTestedAt
string
operatorId
string
passwordExpiresAt
string
status
string
updatedAt
string